org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearOffHeapCacheEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMapEntry
  - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheEntry
    - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearCacheEntry
      - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearOffHeapCacheEntry

All Implemented Interfaces:
  GridCacheEntryEx

    public class GridNearOffHeapCacheEntry
    extends GridNearCacheEntry

Near cache entry for off-heap tiered or off-heap values modes.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMapEntry

`ATOMIC_VER_COMPARATOR, cctx, flags, key, log, logRef, startVer, val, ver`

### Constructor Summary

Constructors
Constructor and Description
`GridNearOffHeapCacheEntry(GridCacheContext ctx, KeyCacheObject key, int hash, CacheObject val, GridCacheMapEntry next, int hdrId)`

### Method Summary

Methods
`protected boolean` `hasOffHeapPointer()`
`protected long` `offHeapPointer()`
`protected void` `offHeapPointer(long valPtr)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.near.GridNearCacheEntry

`addLocal, addNearLocal, clearIndex, dhtNodeId, dhtVersion, initializeFromDht, isNear, loadedValue, memorySize, onInvalidate, partition, readThrough, recordDhtVersion, recordNodeId, removeLock, resetFromPrimary, toString, updateIndex, updateOrEvict, valid, versionedValue`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheEntry

`addRemote, addRemote, addRemoved, checkCallbacks, checkOwnerChanged, checkRemoved, checkThreadChain, doneRemote, doneRemote, orderCompleted, readyLock, readyNearLock, recheck, refreshRemotes, remoteMvccSnapshot, removeExplicitNodeLocks, removeLock, tmLock, txUnlock`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMapEntry

`addMeta, candidate, candidate, checkObsolete, clear, clearReader, clearReaders, context, deleted, deletedUnlocked, deletedUnlocked, detached, equals, evictInBatchInternal, evictInternal, expireTime, expireTimeExtras, expireTimeUnlocked, hashCode, hasLockCandidate, hasLockCandidate, hasLockCandidateUnsafe, hasMeta, hasReaders, hasValue, hasValueUnlocked, info, initialValue, initialValue, innerGet, innerReload, innerRemove, innerSet, innerUpdate, innerUpdateLocal, invalidate, invalidate, isDht, isInternal, isLocal, isNew, isNewLocked, isOffHeapValuesOnly, isReplicated, isStartVersion, key, keyValue, localCandidate, localCandidates, localOwner, lockedBy, lockedByAny, lockedByThread, lockedByThread, lockedByThread, lockedByThreadUnsafe, lockedByUnsafe, lockedLocally, lockedLocallyByIdOrThread, lockedLocallyUnsafe, markObsolete, markObsolete0, markObsoleteIfEmpty, markObsoleteVersion, meta, mvccExtras, mvccExtras, obsolete, obsolete, obsoleteOrDeleted, obsoleteVersion, obsoleteVersionExtras, obsoleteVersionExtras, onMarkedObsolete, onTtlExpired, onUnlock, partitionValid, peek, peek, peekVisibleValue, putMetaIfAbsent, rawExpireTime, rawGet, rawGetOrUnmarshal, rawGetOrUnmarshalUnlocked, rawPut, rawTtl, readExternalMeta, releaseSwap, removeMeta, removeMeta, replaceMeta, saveValueForIndexUnlocked, startVersion, ttl, ttlAndExpireTimeExtras, ttlExtras, txKey, unswap, unswap, update, updateTtl, value, valueBytes, valueBytes, valueBytes0, valueBytesUnlocked, version, versionedEntry, versionedValue, visitable, wrap, wrapEviction, wrapLazyValue, wrapVersioned, writeExternalMeta`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridNearOffHeapCacheEntry

    public GridNearOffHeapCacheEntry(GridCacheContext ctx,
                             KeyCacheObject key,
                             int hash,
                             CacheObject val,
                             GridCacheMapEntry next,
                             int hdrId)

Parameters:
  `ctx` - Cache context.
  `key` - Cache key.
  `hash` - Key hash value.
  `val` - Entry value.
  `next` - Next entry in the linked list.
  `hdrId` - Header id.

### Method Detail

#### hasOffHeapPointer

    protected boolean hasOffHeapPointer()

Overrides:
  `hasOffHeapPointer` in class `GridCacheMapEntry`
Returns:
  True if entry has off-heap value pointer.

#### offHeapPointer

    protected long offHeapPointer()

Overrides:
  `offHeapPointer` in class `GridCacheMapEntry`
Returns:
  Off-heap value pointer.

#### offHeapPointer

    protected void offHeapPointer(long valPtr)

Overrides:
  `offHeapPointer` in class `GridCacheMapEntry`
Parameters:
  `valPtr` - Off-heap value pointer.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015